#version 300 es

precision highp float;

layout(location = 0) out vec4 F;
in vec2 v_tex_coord;

layout(std140) uniform glfx_BASIS_DATA
{
    vec4 unused;
    vec4 glfx_SCREEN;
    vec4 glfx_BG_MASK_T[2];
    vec4 glfx_HAIR_MASK_T[2];
    vec4 glfx_LIPS_MASK_T[2];
    vec4 glfx_L_EYE_MASK_T[2];
    vec4 glfx_R_EYE_MASK_T[2];
    vec4 glfx_SKIN_MASK_T[2];
    vec4 glfx_OCCLUSION_MASK_T[2];
};


uniform sampler2D texture_v_bilateral_iter1;

void main() 
{
    vec2 uv = v_tex_coord;
    vec3 c = texture(texture_v_bilateral_iter1, uv).rgb;

    int nbins = 8;
    float phi_q = 1.0;

    float qn = floor(c.x * float(nbins) + 0.5) / float(nbins);
    float qs = smoothstep(-1.5, 1.5, phi_q * (c.x - qn) * 100.0) - 0.5;
    float qc = qn + qs / float(nbins);

    F = vec4(vec3(qc, c.yz), 1.0);
}
